Ticket #34586

bullet に対応する日本語の検討

Open Date: 2014-11-04 23:07 Last Update: 2015-02-24 14:32

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 翻訳 MileStone: 2015.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

bullet に対応する日本語を現在の NVDA では「バレット」としています。

これについて過去にも議論があったのですが、たまたま W3C の「日本語組み版処理の要件」という資料を見ていたら、 附属書A 文字クラス一覧に Unicode の文字コードごとに「通用名称」が書かれていました。

http://www.w3.org/TR/jlreq/ja/#character_classes

英語での名称に bullet が含まれる記号だけ引用します:

• 	2022 	BULLET 	ビュレット

◦ 	25E6 	WHITE BULLET 	白ビュレット

⦿ 	29BF 	CIRCLED BULLET 	丸中黒

NVDA でも「バレット」よりも「ビュレット」にそろえたほうがよいかも知れません。

ちなみにビュレットに似ている記号を引用すると:

● 	25CF 	BLACK CIRCLE 	黒丸

・ 	30FB 	KATAKANA MIDDLE DOT 	中点

Attachment File List

No attachments

Ticket History (3/6 Histories)

2014-11-04 23:07 Updated by: nishimoto
  • New Ticket "bullet に対応する日本語の検討" created
2014-12-23 18:53 Updated by: nishimoto
Comment

2015.1 で bullet に対応する日本語を「バレット」から「ビュレット」に変更しようかと思います。 ご意見があればお知らせください。

2015-02-09 17:05 Updated by: nishimoto
Comment

2015.1 で以下が英語版 symbols.dic に加わっています。

本家の svn symbols-newRevisions/10684/ の差分

(1) ▪	black square	some
(2) ◾	black square	some
(3) ◦	white bullet	some

たぶん文字化けするので各文字の説明:

(1)
  name: BLACK SMALL SQUARE
  general-category: So (Symbol, Other)
  decomposition: (9642)
  #x25aa
(2)
  name: BLACK MEDIUM SMALL SQUARE
  general-category: Sm (Symbol, Math)
  decomposition: (9726)
  #x25fe
(3)
  name: WHITE BULLET
  general-category: So (Symbol, Other)
  decomposition: (9702)
  #x25e6

実は日本語版では BLACK SMALL SQUARE も WHITE BULLET もいままで「バレット」でした。

本家の英語表記と整合するように日本語の名前をつけなおそうか、 今回は「ビュレット」で揃えるだけにしておこうか。。

Wikipedia 日本語版では U+25e6 は「白ビュレット」と書かれています。

2015-02-09 17:17 Updated by: nishimoto
Comment

#34621 に関わる作業ですが、 本家版の symbols.dic について「バレット」を「ビュレット」に変更して、 U+25e6 は「シロビュレット」にしました。

これは本家 2015.1 に間に合うはずです。

日本語版で独自拡張している文字説明データも整合させたいので、 このチケットはマイルストーンを 2015.1jp に変更します。

2015-02-09 18:07 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

いままで u+2022 のビュレットは左右矢印でまったく文字説明されていませんでした。

作業記録

[jpbeta 0715e8e] ti34586 work regarding bullet characters
 2 files changed, 11 insertions(+), 4 deletions(-)

characters.dic に関する作業の引用。 shift-jis で差分を出したので文字化けしています:

--- a/source/locale/ja/characters.dic
+++ b/source/locale/ja/characters.dic
@@ -160,6 +160,8 @@ z   7a      [ゼット]        ゼット ズール
 я     44f     [ヤーゴ]        ロシア ヤー
 ё     451     [ヨーゴ]        ロシア ヨー
 ‐     2010    [ハイフン]      ハイフン
+       2013    [エンダッシュ]  エンダッシュ
+       2014    [エムダッシュ]  エムダッシュ
 ―     2015    [ダッシュ]      ダッシュ
 ‘     2018    [ヒダリインヨーフ]      シングル
 ’     2019    [ミギインヨーフ]        シングルトジ
@@ -167,6 +169,7 @@ z   7a      [ゼット]        ゼット ズール
 ”     201d    [ミギニジューインヨーフ]        コーテイショントジ
 †     2020    [ダガー]        ダガー
 ‡     2021    [ダブルダガー]  ダブルダガー
+       2022    [ビュレット]    ビュレット
 ‥     2025    [ニテン]        ニテン リーダ
 …     2026    [サンテン]      サンテン リーダ
 ‰     2030    [パーミル]      タンイノ パーミル
@@ -309,6 +312,7 @@ z   7a      [ゼット]        ゼット ズール
 ╋     254b    [クロス ダイ]   クロス ダイ ケイセン
 ■     25a0    [クロシカク]    クロシカク
 □     25a1    [シカク]        シカク
+       25aa    [ビュレット]    チイサイ クロシカク ビュレット
 ▲     25b2    [クロサンカク]  クロサンカク
 △     25b3    [サンカク]      サンカク
 ▼     25bc    [ギャククロサンカク]    クロギャクサンカク
@@ -318,7 +322,9 @@ z   7a      [ゼット]        ゼット ズール
 ○     25cb    [シロマル]      マルジルシ
 ◎     25ce    [ニジューマル]  ニジューマル
 ●     25cf    [クロマル]      クロマル
+       25e6    [シロビュレット]        シロビュレット
 ◯     25ef    [オオキナマル]  オオキナマル
+       25fe    [ビュレット]    クロシカク ビュレット
 ★     2605    [クロボシ]      クロボシ
 ☆     2606    [シロボシ]      ホシジルシ
        2613    [ナナメジュージ]        ナナメジュージ
2015-02-24 14:32 Updated by: nishimoto
  • Ticket Close date is changed to 2015-02-24 14:32
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login